Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Private Member Functions | Private Attributes
ArgusSamples::DeFogSettingsObserver Class Reference

DeFog settings observer. More...

Inheritance diagram for ArgusSamples::DeFogSettingsObserver:

List of all members.

## Public Member Functions
| DeFogSettingsObserver (Argus::Ext::IDeFogSettings *iDeFogSettings)
virtual | ~DeFogSettingsObserver ()
virtual bool | isInterface (Argus::Interface *interface) const
| Check if this is the observer for the given interface.
Public Member Functions inherited from ArgusSamples::IObserverForInterface
virtual | ~IObserverForInterface ()

## Private Member Functions
bool | onDeFogEnableChanged (const Observed &source)
bool | onDeFogAmountChanged (const Observed &source)
bool | onDeFogQualityChanged (const Observed &source)

## Private Attributes
Argus::Ext::IDeFogSettings * | m_iDeFogSettings

## Detailed Description

DeFog settings observer.

Update Argus DeFog settings if values which are set through the DeFog settings change.

Definition at line 560 of file Dispatcher.cpp.

## Constructor & Destructor Documentation

ArgusSamples::DeFogSettingsObserver::DeFogSettingsObserver | ( | Argus::Ext::IDeFogSettings * | iDeFogSettings | ) |
| inline

Definition at line 563 of file Dispatcher.cpp.

virtual ArgusSamples::DeFogSettingsObserver::~DeFogSettingsObserver | ( |  | ) |
| inline virtual

Definition at line 576 of file Dispatcher.cpp.

## Member Function Documentation

virtual bool ArgusSamples::DeFogSettingsObserver::isInterface | ( | Argus::Interface * | interface | ) | const
| inline virtual

Check if this is the observer for the given interface.

Parameters:

  interface | [in]

Implements ArgusSamples::IObserverForInterface.

Definition at line 588 of file Dispatcher.cpp.

bool ArgusSamples::DeFogSettingsObserver::onDeFogAmountChanged | ( | const Observed & | source | ) |
| inline private

Definition at line 607 of file Dispatcher.cpp.

bool ArgusSamples::DeFogSettingsObserver::onDeFogEnableChanged | ( | const Observed & | source | ) |
| inline private

Definition at line 594 of file Dispatcher.cpp.

bool ArgusSamples::DeFogSettingsObserver::onDeFogQualityChanged | ( | const Observed & | source | ) |
| inline private

Definition at line 621 of file Dispatcher.cpp.

## Member Data Documentation

Argus::Ext::IDeFogSettings* ArgusSamples::DeFogSettingsObserver::m_iDeFogSettings
| private

Definition at line 635 of file Dispatcher.cpp.

The documentation for this class was generated from the following file:

- modules/Dispatcher.cpp